Lister les vérifications
curl --request GET \
--url https://pro.resocom.com/api/v1/consultations \
--header 'Authorization: Bearer <token>'import requests
url = "https://pro.resocom.com/api/v1/consultations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pro.resocom.com/api/v1/consultations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pro.resocom.com/api/v1/consultations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pro.resocom.com/api/v1/consultations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pro.resocom.com/api/v1/consultations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://pro.resocom.com/api/v1/consultations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "CSL-20260717-3F2A91",
"externalRef": "DOSSIER-88412",
"workflowId": "WFL-20260706-BEF798",
"documentCategory": "identite",
"documentType": "CNI",
"documentCountry": "FRA",
"verdict": "conforme",
"decision": "conforme",
"reviewStatus": "pending",
"anomalyCount": 123,
"hasRejectAnomaly": true,
"anomalies": [
{
"code": "selfie_mismatch",
"severity": "reject",
"message": "<string>"
}
],
"twoDDoc": {
"present": true,
"trusted": true,
"signatureVerified": true,
"signatureStatus": "<string>",
"dataMatches": true,
"readStatus": "read",
"readStatusMessage": "2D-Doc présent mais non lu : qualité d'image insuffisante."
},
"analyzedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": "invalid_api_key"
}{
"error": "invalid_api_key"
}{
"error": "invalid_api_key"
}API Reference
Lister les vérifications
Rend les résultats de vérification de votre entreprise, du plus récent au plus ancien. Les images et les données extraites du document ne sont jamais exposées.
GET
/
api
/
v1
/
consultations
Lister les vérifications
curl --request GET \
--url https://pro.resocom.com/api/v1/consultations \
--header 'Authorization: Bearer <token>'import requests
url = "https://pro.resocom.com/api/v1/consultations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pro.resocom.com/api/v1/consultations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pro.resocom.com/api/v1/consultations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pro.resocom.com/api/v1/consultations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pro.resocom.com/api/v1/consultations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://pro.resocom.com/api/v1/consultations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "CSL-20260717-3F2A91",
"externalRef": "DOSSIER-88412",
"workflowId": "WFL-20260706-BEF798",
"documentCategory": "identite",
"documentType": "CNI",
"documentCountry": "FRA",
"verdict": "conforme",
"decision": "conforme",
"reviewStatus": "pending",
"anomalyCount": 123,
"hasRejectAnomaly": true,
"anomalies": [
{
"code": "selfie_mismatch",
"severity": "reject",
"message": "<string>"
}
],
"twoDDoc": {
"present": true,
"trusted": true,
"signatureVerified": true,
"signatureStatus": "<string>",
"dataMatches": true,
"readStatus": "read",
"readStatusMessage": "2D-Doc présent mais non lu : qualité d'image insuffisante."
},
"analyzedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": "invalid_api_key"
}{
"error": "invalid_api_key"
}{
"error": "invalid_api_key"
}Authorizations
Clé API créée dans Administration → Développeurs → Clés API (licence Groupe). Une clé en lecture seule ne peut appeler que les opérations GET.
Query Parameters
Taille de page.
Required range:
1 <= x <= 100Curseur de la page suivante (nextCursor de la page précédente).
Restreint à un workflow.
Filtre par constat sur le document.
Available options:
conforme, sans_anomalie, non_conforme, suspect, analyse_impossible Filtre par décision du workflow (vérifications de parcours).
Available options:
conforme, a_verifier, refuse Votre référence de dossier exacte.
Résultats créés après cette date.

